# Set_Polyedge_XXX

## Functions

void | `HIC_Set_Polyedge_Vertex_Normals`
void | `HIC_Set_Polyedge_Vertex_Parameters`
void | `HIC_Set_Polyedge_Findex_Color_Interpolation`
void | `HIC_Set_Polyedge_Vertex_Parameter_Width`
void | `HIC_Set_Polyedge_Points`
void | `HIC_Set_Polyedge_Strips`
void | `HIC_Set_Polyedge_Lengths`
void | `HIC_Set_Polyedge_Vertex_Indices`
void | `HIC_Set_Polyedge_Edge_Normals`
void | `HIC_Set_Polyedge_Vertex_Findices`
void | `HIC_Set_Polyedge_Edge_Indices`
void | `HIC_Set_Polyedge_Edge_Colors`
void | `HIC_Set_Polyedge_Vertex_Colors`

## Detailed Description

group Set_Polyedge_XXX

## Function Documentation

void HIC_Set_Polyedge_Vertex_Normals(HIC_Polyedge *pe, HIC_Vector *vnormals)

  This function sets vertex normals of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - vnormals – A pointer to a HIC_Vector.

void HIC_Set_Polyedge_Vertex_Parameters(HIC_Polyedge *pe, HIC_Parameter *vparameters)

  This function sets vertex parameters of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - vparameters – A pointer to a HIC_Parameter.

void HIC_Set_Polyedge_Findex_Color_Interpolation(HIC_Polyedge *pe, int flag)

  This function sets findex color interpolation of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - flag – A boolean.

void HIC_Set_Polyedge_Vertex_Parameter_Width(HIC_Polyedge *pe, HIC_Integer32 width)

  This function sets vertex parameter width of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - width – An HIC_Integer32.

void HIC_Set_Polyedge_Points(HIC_Polyedge *pe, HIC_Point *pts)

  This function sets points of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - pts – A pointer to a HIC_Point.

void HIC_Set_Polyedge_Strips(HIC_Polyedge *pe, int str)

  This function sets strips of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - str – An int.

void HIC_Set_Polyedge_Lengths(HIC_Polyedge *pe, int *lns)

  This function sets lengths of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - lns – An int pointer.

void HIC_Set_Polyedge_Vertex_Indices(HIC_Polyedge *pe, int *vi)

  This function sets vertex indices of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - vi – An int pointer.

void HIC_Set_Polyedge_Edge_Normals(HIC_Polyedge *pe, HIC_Vector *enormals)

  This function sets edge normals of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - enormals – A pointer to a HIC_Vector.

void HIC_Set_Polyedge_Vertex_Findices(HIC_Polyedge *pe, float *vfindices)

  This function sets vertex findices of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - vfindices – A float pointer.

void HIC_Set_Polyedge_Edge_Indices(HIC_Polyedge *pe, int *ei)

  This function sets edge indices of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - ei – An int pointer.

void HIC_Set_Polyedge_Edge_Colors(HIC_Polyedge *pe, HIC_RGB *ecolors)

  This function sets edge colors of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - ecolors – A pointer to a HIC_RGB, a structure of three floats, each between zero and one.

void HIC_Set_Polyedge_Vertex_Colors(HIC_Polyedge *pe, HIC_RGB *vcolors)

  This function sets vertex colors of a HOOPS polyedge data structure.

  Parameters

    - pe – A pointer to a const HIC_Polyedge.

    - vcolors – A pointer to a HIC_RGB, a structure of three floats, each between zero and one.